Redmine - Defect #7846

Headers (h1, etc.) containing backslash followed by a digit are not displayed correctly
2011-03-12 15:28 - Etienne Massip

Status: Closed Start date: 2011-03-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 1.1.3

Resolution: Fixed Affected version: 1.1.2
Description

Wiki page titles containing backslashes followed by a digit are not rendered properly because of the way String.gsub handles
specifically this sequence with Ruby 1.8 (1.9 changed this behavior).
From Ruby String.gsub doc :

However, the sequences \1l, \2, and so on may be used to interpolate successive groups in the match

| made a patch.

Associated revisions

Revision 5100 - 2011-03-12 19:28 - Jean-Philippe Lang
Fixed: Wiki headings containing backslash followed by a digit are not displayed correctly (#7846).

Contributed by Etienne Massip.

History

#1 - 2011-03-12 16:10 - Jean-Philippe Lang

Would be nice to add a test to TextileFormatterTest.

#2 - 2011-03-12 16:46 - Etienne Massip

I'll do so.

#3 - 2011-03-12 18:16 - Etienne Massip
- File textile_header_with_backslash_and_digit.patch added

- Subject changed from Wiki page titles containing backslash followed by a digit are not displayed correctly to Headers (h1, etc.) containing backslash
followed by a digit are not displayed correctly

- Category changed from Wiki to Text formatting

Here's the patch with test.

#4 - 2011-03-12 18:16 - Etienne Massip
- File deleted (wiki_page_title_with_backslash_and_digit.patch)

#5 - 2011-03-12 19:30 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Patch applied in r5100, thanks. Just fixed the space before parenthesis in #assert_html|_output.

#6 - 2011-04-29 09:08 - Jean-Philippe Lang

- Status changed from Resolved to Closed
https://www.redmine.org/projects/redmine/repository/svn/revisions/5100

Files

textile_header_with_backslash_and_digit.patch 2.17 KB 2011-03-12 Etienne Massip
